Package org.apache.catalina.startup

# Class SetAllPropertiesRule

java.lang.Object
org.apache.tomcat.util.digester.Rule
org.apache.tomcat.util.digester.SetPropertiesRule
org.apache.catalina.startup.SetAllPropertiesRule

@Deprecated public class SetAllPropertiesRule extends SetPropertiesRule
Deprecated.
This will be removed in Tomcat 10
Rule that uses the introspection utils to set properties.

Author:
  Remy Maucherat

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`SetPropertiesRule.Listener`

## Field Summary

### Fields inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`excludes`

### Fields inherited from class org.apache.tomcat.util.digester.Rule

`digester, namespaceURI, sm`

## Constructor Summary

Constructors
Constructor
Description
`SetAllPropertiesRule()`
Deprecated.
`SetAllPropertiesRule(String[] exclude)`
Deprecated.

## Method Summary

### Methods inherited from class org.apache.tomcat.util.digester.SetPropertiesRule

`begin, toString`

### Methods inherited from class org.apache.tomcat.util.digester.Rule

`body, end, finish, getDigester, getNamespaceURI, setDigester, setNamespaceURI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SetAllPropertiesRule

public SetAllPropertiesRule()
Deprecated.

### SetAllPropertiesRule

public SetAllPropertiesRule(String[] exclude)
Deprecated.